# ####################################################################

#  Created by Genus(TM) Synthesis Solution 17.10-p007_1 on Sun Mar 31 20:02:09 EDT 2019

# ####################################################################

set sdc_version 2.0

set_units -capacitance 1000.0fF
set_units -time 1000.0ps

# Set the current design
current_design compteur

create_clock -name "clk" -add -period 1.0 -waveform {0.0 0.5} [get_ports i_clk]
set_load -pin_load -max 1.0 [get_ports {o_cnt[3]}]
set_load -pin_load -max 1.0 [get_ports {o_cnt[2]}]
set_load -pin_load -max 1.0 [get_ports {o_cnt[1]}]
set_load -pin_load -max 1.0 [get_ports {o_cnt[0]}]
set_clock_gating_check -setup 0.0 
set_input_delay -clock [get_clocks clk] -add_delay 0.3 [get_ports i_clk]
set_input_delay -clock [get_clocks clk] -add_delay 0.3 [get_ports i_rstn]
set_input_delay -clock [get_clocks clk] -add_delay 0.3 [get_ports i_en]
set_output_delay -clock [get_clocks clk] -add_delay 0.3 [get_ports {o_cnt[3]}]
set_output_delay -clock [get_clocks clk] -add_delay 0.3 [get_ports {o_cnt[2]}]
set_output_delay -clock [get_clocks clk] -add_delay 0.3 [get_ports {o_cnt[1]}]
set_output_delay -clock [get_clocks clk] -add_delay 0.3 [get_ports {o_cnt[0]}]
set_operating_conditions PVT_1P1V_0C
set_driving_cell -lib_cell BUFX20 -library fast_vdd1v0 -pin "Y" [get_ports i_clk]
set_driving_cell -lib_cell BUFX20 -library fast_vdd1v0 -pin "Y" [get_ports i_rstn]
set_driving_cell -lib_cell BUFX20 -library fast_vdd1v0 -pin "Y" [get_ports i_en]
set_dont_use [get_lib_cells fast_vdd1v0/HOLDX1]
set_clock_uncertainty -setup 0.1 [get_clocks clk]
set_clock_uncertainty -hold 0.03 [get_clocks clk]
